<?php
/**
 * The nokri functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package nokri
 */
add_action('after_setup_theme', 'nokri_setup');
if (!function_exists('nokri_setup')) :

    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * Note that this function is hooked into the after_setup_theme hook, which
     * runs before the init hook. The init hook is too late for some features, such
     * as indicating support for post thumbnails.
     */
    function nokri_setup() {
        /* ------------------------------------------------ */
        /* Theme Settings */
        /* ------------------------------------------------ */

        require trailingslashit(get_template_directory()) . 'inc/theme_settings.php';

        // require trailingslashit(get_template_directory()) . 'inc/zoom-vendor/autoload.php';


        /* ------------------------------------------------ */
        /* Theme Widgets */
        /* ------------------------------------------------ */

        require trailingslashit(get_template_directory()) . 'inc/widgets.php';

        /* ------------------------------------------------ */
        /* Navigation Menu */
        /* ------------------------------------------------ */

        require trailingslashit(get_template_directory()) . 'inc/nav.php';

        /* ------------------------------------------------ */
        /* Theme Utilities */
        /* ------------------------------------------------ */
        require trailingslashit(get_template_directory()) . 'inc/utilities.php';
        require trailingslashit(get_template_directory()) . 'inc/utilities-custom.php';

        /* ------------------------------------------------ */
        /* Redux Options Settings */
        /* ------------------------------------------------ */
        require trailingslashit(get_template_directory()) . 'inc/options-init.php';
        /* ------------------------------------------------ */
        /* TGM */
        /* ------------------------------------------------ */

        require trailingslashit(get_template_directory()) . 'tgm/tgm-init.php';

        /* ------------------------------------------------ */
        /* Icons */
        /* ------------------------------------------------ */

        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/icons/icons.php';

        /* ------------------------------------------------ */
        /* Authentication */
        /* ------------------------------------------------ */
        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/classes/authentication.php';

        /* ------------------------------------------------ */
        /* Candidate */
        /* ------------------------------------------------ */
        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/classes/candidate.php';
        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/short_codes_functions.php';
        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/woo_functions.php';
        require trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/classes/jobs.php';

        //Add Nokri Functionality to VC/*
        if (class_exists('WPBakeryVisualComposerAbstract')) {

            if (!function_exists('nokri_add_to_vc')) {

                function nokri_add_to_vc() {
                    require_once trailingslashit(get_template_directory()) . 'inc/theme-shortcodes/shortcodes.php';
                }

            }
            add_action('init', 'nokri_add_to_vc', 5);
        }
    }

endif;
/* ------------------------------------------------ */
/*      Main Resources Functions                   */
/* ------------------------------------------------ */

function nokri_resoucres() {

    /* ------------------------------------------------ */
    /*      Including All Javascript Files            */
    /* ------------------------------------------------ */

    $not_enque = array('edit-profile');

    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }

    /* Jquery-ui */
    wp_enqueue_script('jquery-ui', trailingslashit(get_template_directory_uri()) . 'js/jquery-ui.min.js', false, false, true);
    /* BOOTSTRAP CORE JS */
    // wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', false, false, true);
    wp_enqueue_script('bootstrap-js', get_template_directory_uri() . '/js/bootstrap.bundle.min.js', array('jquery'), '5.3.0', true);

    /* Bootstrap-toggle */
    wp_enqueue_script('bootstrap-toggle', trailingslashit(get_template_directory_uri()) . 'js/bootstrap5-toggle.ecmas.min.js', false, false, true);
    /* JQUERY SELECT2 */
    wp_enqueue_script('select2-custom', get_template_directory_uri() . '/js/select2.min.js', false, false, true);
    /* MEGA MENU  */
    wp_enqueue_script('megamenu', get_template_directory_uri() . '/js/mega_menu.min.js', false, false, true);
    /* owl-carousel */
    wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/js/owl-carousel.js', false, false, true);
    /* counterup */
    wp_enqueue_script('counterup', get_template_directory_uri() . '/js/counterup.js', false, false, true);
    /* way point */
    wp_enqueue_script('jquery-waypoints', trailingslashit(get_template_directory_uri()) . 'js/jquery.waypoints.js', false, false, true);
    /* Isotope */
    wp_enqueue_script('isotope', get_template_directory_uri() . '/js/isotope.min.js', false, false, true);
    /* Hello JS */
    wp_enqueue_script('hello', trailingslashit(get_template_directory_uri()) . 'js/hello.js', false, false, true);
    /* Dropzone */
    wp_enqueue_script('dropzone', trailingslashit(get_template_directory_uri()) . 'js/dropzone.js', false, false, true);
    /* Google Recaptcha JS */
    wp_enqueue_script('recaptcha', '//www.google.com/recaptcha/api.js', false, false, true);
    /* Parsley JS */
    wp_enqueue_script('parsley', trailingslashit(get_template_directory_uri()) . 'js/parsley.min.js', false, false, true);
    /* jquery-caret */
    wp_enqueue_script('jquery-caret', trailingslashit(get_template_directory_uri()) . 'js/jquery.caret.min.js', false, false, true);
    /* TagsinputJS */
    wp_enqueue_script('tags', trailingslashit(get_template_directory_uri()) . 'js/jquery.tag-editor.min.js', false, false, true);
    /* File Input */
    wp_enqueue_script('fileinput', trailingslashit(get_template_directory_uri()) . 'js/new/fileinput.min.js', false, false, true);
    /* Jquery Add Input */
    wp_enqueue_script('jquery-add-input', trailingslashit(get_template_directory_uri()) . 'js/new/jquery.add-input-area.min.js', false, false, true);
    /* Date Picker New */
    wp_enqueue_script('datepicker', trailingslashit(get_template_directory_uri()) . 'js/new/datepicker.min.js', false, false, true);
    /* Date Picker Lang */
    wp_enqueue_script('datepicker-en', trailingslashit(get_template_directory_uri()) . 'js/new/date-picker-lang/datepicker.en.js', false, false, true);
    /* Jquery-appear */
    wp_enqueue_script('jquery-appear', trailingslashit(get_template_directory_uri()) . 'js/jquery.appear.js', false, false, true);
    /* Jquery-tipsy */
    wp_enqueue_script('jquery-tipsy', trailingslashit(get_template_directory_uri()) . 'js/jquery.tipsy.min.js', false, false, true);
    /* Jquery-multifield */
    wp_enqueue_script('jquery-multifield', trailingslashit(get_template_directory_uri()) . 'js/jquery.multifield.min.js', false, false, true);
    /* Icheck Library */
    wp_enqueue_script('icheck', trailingslashit(get_template_directory_uri()) . 'js/icheck.min.js', false, false, true);
    /* theia-sticky-sidebar */
    wp_enqueue_script('theia-sticky-sidebar', trailingslashit(get_template_directory_uri()) . 'js/theia-sticky-sidebar.js', false, false, true);
    /* Jquery.fancybox.min */
    wp_enqueue_script('jquery-fancybox', trailingslashit(get_template_directory_uri()) . 'js/jquery.fancybox.min.js', false, false, true);
    /* Toaster JS */
    wp_enqueue_script('toaster', trailingslashit(get_template_directory_uri()) . 'js/toastr.min.js', false, false, true);
    /* Search JS */
    wp_enqueue_script('nokri-search', trailingslashit(get_template_directory_uri()) . 'js/search.js', false, false, true);
    /* Jquery box slider */
    wp_enqueue_script('jquery-bxslider', trailingslashit(get_template_directory_uri()) . 'js/jquery.bxslider.js', false, false, true);
    //if(isset($_GET['tab-data']) && $_GET['tab-data'] == 'resumes-list' ||  isset($_GET['video']) && $_GET['video'] = 'video' )
    //{
    wp_enqueue_script('popup-video-iframe', trailingslashit(get_template_directory_uri()) . 'js/YouTubePopUp.jquery.js', false, false, true);
    //}
    /* jquery-confirm */
    wp_enqueue_script('jquery-confirm', trailingslashit(get_template_directory_uri()) . 'js/jquery-confirm.min.js', false, false, true);
    /* count to */
    wp_enqueue_script('jquery-countto', trailingslashit(get_template_directory_uri()) . 'js/jquery.countTo.js', false, false, true);
    /* Jquery Waypoints  */
    wp_enqueue_script('jquery-waypoints', get_template_directory_uri() . '/js/waypoints.min.js', false, false, true);
    /* jquery-te  */
    wp_enqueue_script('jquery-te', trailingslashit(get_template_directory_uri()) . 'js/jquery-te.min.js', false, false, true);
    /* jquery-te  */
    wp_enqueue_script('color-switcher', trailingslashit(get_template_directory_uri()) . 'js/color-switcher.js', false, false, true);
    /* tinymce editor  */
    wp_enqueue_script('tinymce-editor', trailingslashit(get_template_directory_uri()) . 'js/tinymce.min.js', false, false, true);

  
    global $nokri;

    $is_allow_crop = isset($nokri['user_crop_dp_switch']) ? $nokri['user_crop_dp_switch'] : false;

    if ($is_allow_crop && is_page_template('page-dashboard.php')) {

        wp_enqueue_style('img-croper', get_template_directory_uri() . '/css/new/cropper.min.css', array(), time());
        /* jquery-croper */
        wp_enqueue_script('img-cropers', trailingslashit(get_template_directory_uri()) . 'js/new/cropper.min.js', false, false, true);
    }
    if (is_page_template('page-dashboard.php')) {

        wp_enqueue_script('Jquery-date-en', trailingslashit(get_template_directory_uri()) . 'js/new/date-en-US.js', false, false, true);
        wp_enqueue_script('Jquery-timeselect', trailingslashit(get_template_directory_uri()) . 'js/new/jquery.ui.timeselect.js', false, false, true);
        wp_enqueue_script('jquery-typehead', trailingslashit(get_template_directory_uri()) . 'js/new/typeahead.adv.js', false, false, true);
    }

    $mapType = nokri_mapType();
    /* Is map show */
    $is_lat_long = isset($nokri['allow_lat_lon']) ? $nokri['allow_lat_lon'] : true;
    $indeed_pub_id = isset($nokri['nokri_indeed_publisher_id']) ? $nokri['nokri_indeed_publisher_id'] : '';
    if (isset($nokri['search_page_layout']) && $nokri['search_page_layout'] == 3) {
        /* jquery-te  */
        wp_enqueue_script('dummylatlng', trailingslashit(get_template_directory_uri()) . 'js/dummylatlng.js', false, false, true);
    }
    $allow_map = isset($nokri['nokri_allow_map']) ? $nokri['nokri_allow_map'] : true;

    if ($mapType == 'leafletjs_map') {
        /* Open Street Map In The API */
        if (!is_rtl()) {
            wp_enqueue_style('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.css');
        } else {
            wp_enqueue_style('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-rtl.css');
        }

/* Full Screen Control for Leaflet Map */

        wp_register_script('leaflet-fullscreen',trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-fullscreen.js', false, false, false);
          
        wp_enqueue_style('leaflet-full', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-fullscreen.css');

        wp_enqueue_style('leaflet-search', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-search.min.css');
        wp_register_script('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.js', false, false, false);
        wp_register_script('leaflet-markercluster', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.markercluster.js', false, false, false);

        wp_register_script('leaflet-search', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-search.min.js', false, false, false);
        wp_enqueue_script('leaflet');
        wp_enqueue_script('leaflet-markercluster');
        wp_enqueue_script('leaflet-fullscreen');
        wp_enqueue_script('leaflet-search');
    } else if ($mapType == 'no_map') {
        /* No Mapp In The Theme */
    } else {
        if (isset($nokri['gmap_api_key']) && $nokri['gmap_api_key'] != "") {
            $can_profile = isset($_GET['candidate-page']) ? $_GET['candidate-page'] : 'no';

            global $nokri;
            $stricts = '';
            if (isset($nokri['sb_location_allowed']) && !$nokri['sb_location_allowed'] && isset($nokri['sb_list_allowed_country'])) {
                $stricts = "componentRestrictions: {country: " . json_encode($nokri['sb_list_allowed_country']) . "}";
            }
            $tab_data = isset($_GET['tab-data']) ? $_GET['tab-data'] : 'no';
            if (isset($_GET['tab-data']) && $_GET['tab-data'] == 'edit-profile' || isset($_GET['candidate-page']) && $_GET['candidate-page'] == 'edit-profile' || wp_basename(get_page_template()) == 'page-job-post.php' || wp_basename(get_page_template()) == 'page-search.php' || is_single()) {
                echo '<script>
                window.nokri_location = function(){
                }
                 </script>';
                wp_enqueue_script('google-map', '//maps.googleapis.com/maps/api/js?key=' . $nokri['gmap_api_key'] . '&libraries=places&callback=' . 'nokri_location', false, false, true);
            }
        }
    }
    /* search with map options */
    if (is_page_template('page-search.php') && isset($nokri['search_page_layout']) && $nokri['search_page_layout'] == 3 && $mapType != 'leafletjs_map') {
        /* Open Street Map In The API */
        if (!is_rtl()) {
            wp_enqueue_style('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.css');
        } else {
            wp_enqueue_style('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-rtl.css');
        }
        wp_enqueue_style('leaflet-search', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-search.min.css');
        wp_register_script('leaflet', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.js', false, false, false);
        wp_register_script('leaflet-markercluster', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet.markercluster.js', false, false, false);

        wp_register_script('leaflet-search', trailingslashit(get_template_directory_uri()) . 'assets/leaflet/leaflet-search.min.js', false, false, false);

        wp_enqueue_script('leaflet');
        wp_enqueue_script('leaflet-markercluster');
        wp_enqueue_script('leaflet-search');
    }

    /* perfect scroller  */
    wp_enqueue_script('perfect-scrollbar', trailingslashit(get_template_directory_uri()) . 'js/perfect-scrollbar.js', false, false, true);
    wp_enqueue_style('perfect-scrollbar', get_template_directory_uri() . '/css/perfect-scrollbar.css', false);

    wp_enqueue_script('admin-stats', trailingslashit(get_template_directory_uri()) . 'js/chart.js', array(), false, false);

    /* star rating */

    if (is_rtl()) {
        /* Rtl JS */
        wp_enqueue_script('nokri-custom-rtl', get_template_directory_uri() . '/js/rtl-custom.js', array('jquery'), false, true);
    } else {
        /* CORE JS */
        wp_enqueue_script('nokri-custom', get_template_directory_uri() . '/js/custom.js', array('jquery'), false, true);
    }


    wp_enqueue_script('nokri-star-rating-js', trailingslashit(get_template_directory_uri()) . 'js/star-rating.js', false, false, true);

    //addding indeed tracking script
    if (is_page_template('page-indeed-search.php') && $indeed_pub_id != '') {

        wp_enqueue_script('indeed-tracking', '//gdc.indeed.com/ads/apiresults.js', false, false, true);
    }

    /* ------------------------------------------------ */
    /*      Including  Fonts                  */
    /* ------------------------------------------------ */
    // if (!is_rtl()) {

    //     if (get_bloginfo("language") == 'hi-IN') {

    //         function nokri_theme_slug_fonts_url() {
    //             $fonts_url = '';
    //             $hind = _x('on', 'Hind: on or off', 'nokri');
    //             if ('off' !== $hind) {
    //                 $font_families = array();
    //                 if ('off' !== $hind) {
    //                     $font_families[] = 'Hind:400,500,600';
    //                 }
    //                 $query_args = array(
    //                     'family' => urlencode(implode('%7C', $font_families)),
    //                     'subset' => urlencode('latin,latin-ext'),
    //                 );
    //                 $fonts_url = add_query_arg($query_args, 'https://fonts.googleapis.com/css');
    //             }
    //             return urldecode($fonts_url);
    //         }

    //     } else {

    //         function nokri_theme_slug_fonts_url() {
    //             $fonts_url = '';
    //             $poppins = _x('on', 'Poppins: on or off', 'nokri');
    //             $quicksand = _x('on', 'Quicksand: on or off', 'nokri');
    //             $sans_serif = _x('on', 'Sans Serif: on or off', 'nokri');
    //             if ('off' !== $poppins || 'off' !== $sans_serif) {
    //                 $font_families = array();
    //                 if ('off' !== $poppins) {
    //                     $font_families[] = 'Poppins:400,500,600';
    //                 }
    //                 if ('off' !== $sans_serif) {
    //                     $font_families[] = 'Sans+Serif:400,500,700';
    //                 }
    //                 if ('off' !== $quicksand) {
    //                     $font_families[] = 'Quicksand:400,500,700';
    //                 }
    //                 $query_args = array(
    //                     'family' => urlencode(implode('%7C', $font_families)),
    //                     'subset' => urlencode('latin,latin-ext'),
    //                 );
    //                 $fonts_url = add_query_arg($query_args, 'https://fonts.googleapis.com/css');
    //             }
    //             return urldecode($fonts_url);
    //         }

    //     }
    // }


    /* ------------------------------------------------ */
    /*       Including All CSS                        */
    /* ------------------------------------------------ */
    wp_enqueue_style('nokri-style', get_stylesheet_uri());
    /*  BOOTSTRAPE Theme CSS FILES */
    wp_enqueue_style('bootstrap-theme', get_template_directory_uri() . '/css/bootstrap.min.css', false);
    /*  RTL bootstrap CSS FILE */
    if (is_rtl()) {
        wp_enqueue_style('nokri-bootstrap-rtl', get_template_directory_uri() . '/css/bootstrap-rtl.min.css', false);
    }
    /*  BOOTSTRAPE ICON FILES */
    // wp_enqueue_style('bootstrap-theme', get_template_directory_uri() . '/css/bootstrap-icons.css', false);
    wp_enqueue_style(
        'bootstrap-icons', // Corrected handle name
        get_template_directory_uri() . '/css/bootstrap-icons.css', // Path to the Bootstrap Icons CSS
        array(), // No dependencies, or add Bootstrap CSS if needed
        '1.10.0', // Version number for cache-busting
        'all' // Media type
    );
    
    /*  Mega MENU */
    wp_enqueue_style('megamenu', get_template_directory_uri() . '/css/mega_menu.min.css', false);
    /*  Animate Min CSS FILE */
    wp_enqueue_style('animate-min', get_template_directory_uri() . '/css/animate.min.css', false);
    /*  OWl  CAROUSEL */
    wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css', false);
    wp_enqueue_style('owl-theme', get_template_directory_uri() . '/css/owl.theme.default.css', false);
    /*  ET Line Fonts CSS FILES */
    wp_enqueue_style('et-line-fonts', get_template_directory_uri() . '/css/et-line-fonts.css', false);
    /*  Wocoomerce CSS FILES */
    wp_enqueue_style('nokri-woo', trailingslashit(get_template_directory_uri()) . 'css/woocommerce.css');
    /*  jquery-te */
    wp_enqueue_style('jquery-te', get_template_directory_uri() . '/css/jquery-te.css', false);
    /*  Font Awsome */
    wp_enqueue_style('font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', false);
    /*  Line Awsome */
    wp_enqueue_style('line-awesome', get_template_directory_uri() . '/css/line-awesome.min.css', false);
    /* jquery-tagsinput CSS FILES */
    wp_enqueue_style('jquery-tagsinput', get_template_directory_uri() . '/css/jquery.tag-editor.css', false);
    /*  select2  File */
    wp_enqueue_style('select2-min', get_template_directory_uri() . '/css/select2.min.css', false);
    /*  DropZone */
    wp_enqueue_style('dropzone', get_template_directory_uri() . '/css/dropzone.css', false);
    /*  jquery-confirm  */
    wp_enqueue_style('jquery-confirm', get_template_directory_uri() . '/css/jquery-confirm.min.css', false);
    /* Toastr */
    wp_enqueue_style('toastr-min-css', get_template_directory_uri() . '/css/toastr.min.css', false);
    /* Toggle */
    wp_enqueue_style('toggle', get_template_directory_uri() . '/css/bootstrap-toggle.min.css', false);
    /* Fancy Box */
    wp_enqueue_style('jquery-fancybox', get_template_directory_uri() . '/css/jquery.fancybox.min.css', false);
    /* Date Time Picker */
    wp_enqueue_style('datepicker', get_template_directory_uri() . '/css/new/datepicker.min.css', false);
    /* File Input */
    wp_enqueue_style('fileinput', get_template_directory_uri() . '/css/new/fileinput.min.css', false);
    /* Icheck Square */
    wp_enqueue_style('ichecksquare', get_template_directory_uri() . '/css/new/checkbox-square.css', false);
    /* Icheck Boxes */
    wp_enqueue_style('icheck', get_template_directory_uri() . '/css/minimal/minimal.css', false);
    /* Jquery-tipsy */
    wp_enqueue_style('jquery-tipsy', get_template_directory_uri() . '/css/new/jquery.tipsy.css', false);
    /* Themify-icons */
    wp_enqueue_style('themify-icons', get_template_directory_uri() . '/css/new/themify-icons.css', false);
    /* jquery.bxslider */
    wp_enqueue_style('jquery-bxslider', get_template_directory_uri() . '/css/new/jquery.bxslider.css', false);
    //if(isset($_GET['tab-data']) && $_GET['tab-data'] == 'resumes-list' )
    //{
    /* Youtubepopup */
    wp_enqueue_style('popup-video-iframe', get_template_directory_uri() . '/css/YouTubePopUp.css', false);
    /* croppie css */
    if (is_page_template('page-dashboard.php')) {
        wp_enqueue_style('typahead', get_template_directory_uri() . '/css/new/tyahead.css', false);
    }
    //}
    /* Fonts */
    if (!is_rtl()) {
       //wp_enqueue_style('nokri-theme-slug-fonts', nokri_theme_slug_fonts_url(), array(), null);
    }
    wp_enqueue_style('nokri-star-rating', trailingslashit(get_template_directory_uri()) . 'css/star-rating.css');
    // poppins font 
    wp_enqueue_style('poppins-font', get_template_directory_uri() . '/css/fonts/poppins.css', array(), null);
    /* Admin Custom CSS */
    wp_enqueue_style('nokri-admin-custom', get_template_directory_uri() . '/css/admin-custom.css', false);
    /*  Custom CSS */
    wp_enqueue_style('nokri-custom', get_template_directory_uri() . '/css/custom.css', false);
    /*  TEMPLATE CORE CSS */
    wp_enqueue_style('nokri-theme-style', get_template_directory_uri() . '/css/theme.css', false);
    /*  New CSS */
    wp_enqueue_style('nokri-modern', get_template_directory_uri() . '/css/modern.css', false);
    /* Custom New CSS */
    wp_enqueue_style('nokri-modern', plugins_url('custom-new.css', __FILE__), array(), null);

    /* If RTL Is Enable */
    if (is_rtl()) {
        wp_enqueue_style('nokri-rtl-style', get_template_directory_uri() . '/css/rtl-style.css', false);
    }

    /* ------------------------ */
    /* Theme Colours Selections */
    /* ------------------------ */
    global $nokri;
    if (isset($nokri['button-set-colour']) && $nokri['button-set-colour'] != "") {
        $theme_colour = ($nokri['button-set-colour']);
        wp_enqueue_style('nokri-colours', get_template_directory_uri() . '/css/colors/' . $theme_colour . '.css', false);
    } else {
        wp_enqueue_style('nokri-colours', get_template_directory_uri() . '/css/colors/defualt.css', false);
    }
}

add_action('wp_enqueue_scripts', 'nokri_resoucres');
/* ------------------- */
/* Theme Colours Box */
/* ------------------- */

function nokri_footer_content() {
    global $nokri;
    if ((isset($nokri['front_colour'])) && $nokri['front_colour'] == 1) {
        echo '<div class="color-switcher" id="choose_color"> 
    <a href="#." class="picker_close"><i class="fa fa-angle-right"></i></a>
    <h5>' . esc_html__('Color SWITCHER', 'nokri') . '</h5>
    <div class="theme-colours">
        <ul>
            <li>
                <a href="#." class="defualt" id="defualt" title="' . esc_attr__('defualt', 'nokri') . '"></a>
            </li>
            <li>
                <a href="#." class="yellow" id="yellow" title="' . esc_attr__('yellow', 'nokri') . '"></a>
            </li>
			<li>
                <a href="#." class="dark-blue" id="dark-blue" title="' . esc_attr__('Dark Blue', 'nokri') . '"></a>
            </li>
			<li>
                <a href="#." class="red" id="red" title="' . esc_attr__('Red', 'nokri') . '"></a>
            </li>
			<li>
                <a href="#." class="orange" id="orange" title="' . esc_attr__('Orange', 'nokri') . '"></a>
            </li>
			<li>
                <a href="#." class="green" id="green" title="' . esc_attr__('Green', 'nokri') . '"></a>
            </li>
			<li>
                <a href="#." class="purple" id="purple" title="' . esc_attr__('Purple', 'nokri') . '"></a>
            </li>
        </ul>
    </div>
    <div class="clr"></div>
  </div>';

        $color_path = get_template_directory_uri();

        echo '<script>(function($) {
        "use strict";
		  $("#defualt" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/defualt.css");
			  return false;
		  });
		  $("#yellow" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/yellow.css");
			  return false;
		  });
		  $("#dark-blue" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/dark-blue.css");
			  return false;
		  });
		  
		  $("#red" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/red.css");
			  return false;
		  });
		  
		  $("#orange" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/orange.css");
			  return false;
		  });
		  
		  $("#green" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/green.css");
			  return false;
		  });
		  
		  $("#purple" ).on("click",function(){
			  $("#nokri-colours-css" ).attr("href", "' . $color_path . '/css/colors/purple.css");
			  return false;
		  });  
		  $(".picker_close").on("click",function(){
			  	$("#choose_color").toggleClass("position");
		   });
		   $(".picker_close").on("click",function(){
			  	$(".picker_close i").toggleClass("rotate-arrow");
		   });
})(jQuery);</script>';
    }
}

add_action('wp_footer', 'nokri_footer_content', 999);
/* Updating menu options */
add_action('wp', 'nokri_update_menu_option');
if (!function_exists('nokri_update_menu_option')) {

    function nokri_update_menu_option($user_id = '') {
        if (class_exists('Redux')) {
            $values = Redux::get_option("nokri", "employer_menu_sorter");
            if (isset($values) && !array_key_exists("cart", $values)) {
                foreach ($values as $r_key => $r_val) {
                    $r_key1 = str_replace("udpdate profile", "update profile", $r_key);
                    $new_key = strtolower(str_replace(" ", "_", $r_key1));
                    $new_array[$new_key] = $r_val;
                }
                Redux::setOption("nokri", "employer_menu_sorter", $new_array);
            }
            /* For candidate menu */
            $cand_values = Redux::get_option("nokri", "candidate_menu_sorter");
            if (isset($cand_values) && !array_key_exists("cart", $cand_values)) {
                foreach ($cand_values as $r_key => $r_val) {
                    $r_key1 = str_replace("udpdate profile", "update profile", $r_key);
                    $new_key = strtolower(str_replace(" ", "_", $r_key1));
                    $new_array[$new_key] = $r_val;
                }
                Redux::setOption("nokri", "candidate_menu_sorter", $new_array);
            }
        }
    }

}
/* Elementor Pro Theme Locations */
if (in_array('elementor-pro/elementor-pro.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    add_action('elementor/theme/register_locations', 'nokri_register_elementor_locations');

    function nokri_register_elementor_locations($elementor_theme_manager) {

        $elementor_theme_manager->register_location('header');
        $elementor_theme_manager->register_location('footer');
        // $elementor_theme_manager->register_location( 'single' );
        // $elementor_theme_manager->register_location( 'archive' );
    }

}

/* Archive page custom Title */

function nokri_change_job_archive_title($title) {

    if (is_post_type_archive('job_post')) {
        $title = get_bloginfo('name');
        return $title;
    }
    return $title;
}
function enqueue_custom_admin_script() {
    
    
    wp_enqueue_style('admin-custom-styles', get_template_directory_uri() . '/css/admin-custom.css');
    // Then enqueue your custom admin script
    wp_enqueue_script('nokri-admin-script', get_stylesheet_directory_uri() . '/js/custom-admin-script.js', array('jquery'), '1.0', true);
}

add_action('admin_enqueue_scripts', 'enqueue_custom_admin_script');



//shop page of wocommerce Query to exclude products and packages 

function exclude_package_products_from_shop($query) {
    if (!class_exists('WooCommerce') || is_admin() || ! $query->is_main_query()) {
        return;
    }

    if (is_shop()) {
        $meta_query = $query->get('meta_query');

        // Exclude products with '_nokry_package' = 'yes' OR products where the meta key doesn't exist
        $meta_query[] = array(
            'relation' => 'OR',
            array(
                'key'     => '_nokry_package',
                'value'   => 'yes',
                'compare' => '!=',
            ),
            array(
                'key'     => '_nokry_package',
                'compare' => 'NOT EXISTS', // Check for products where the meta key doesn't exist
            ),
        );

        $query->set('meta_query', $meta_query);
    }
}

add_action('pre_get_posts', 'exclude_package_products_from_shop');


//Menu page of Hired candidate

function wpdocs_register_my_custom_menu_page() {
    add_menu_page(
        __( 'Hired Candidate', 'nokri' ),
      __( 'Hired Candidate', 'nokri' ),
        'manage_options',
        'hire_can',
        'my_menu_page',
        'dashicons-format-aside', // Icon URL or Dashicons class name
        6
    );
}
add_action( 'admin_menu', 'wpdocs_register_my_custom_menu_page' );

//Create table for Hired Candidate 
function create_custom_table() {
    global $wpdb;

    $table_name = $wpdb->prefix . 'custom_data_fields';

    $charset_collate = $wpdb->get_charset_collate();

    $sql = "CREATE TABLE $table_name (
        rowid mediumint(9) NOT NULL AUTO_INCREMENT,
        candidate_id mediumint(9) NOT NULL,
        employer_id mediumint(9) NOT NULL,
        job_id mediumint(9) NOT NULL,
        status varchar(255) NOT NULL DEFAULT 'No', 
        file_path varchar(255) DEFAULT '' NOT NULL, 
        date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
        PRIMARY KEY (rowid)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
}


// Hook the table creation function to the init hook
add_action('init', 'create_custom_table');


//Function of Hired candidate page 

function my_menu_page() {
    global $wpdb;

    // Define your custom table name
    $table_name = $wpdb->prefix . 'custom_data_fields';
    $items_per_page = 4;
$current_page = isset($_GET['paged']) ? intval($_GET['paged']) : 1;
// Calculate the offset for the database query
$offset = ($current_page - 1) * $items_per_page;
$data = $wpdb->get_results(
    $wpdb->prepare("SELECT * FROM $table_name LIMIT %d OFFSET %d", $items_per_page, $offset)
);

    // Check if there is data
    if (!empty($data)) {
        echo '<div class="wrap"><h2>Custom Table Data</h2>';
       // echo '<button class="button button-primary" id="delete_invoices" onclick="deleteInvoices()" style="float: right;">Delete All Invoice</button>';
        echo '<table class="wp-list-table widefat fixed striped">';
        echo '<thead><tr><th>Job Title</th><th>Candidate Name</th><th>Candidate Email</th><th>Employer Name</th><th>Date</th><th>Actions</th><th>Status</th><th>Download PDF</th></tr></thead>';
        echo '<tbody>';

        foreach ($data as $row) {
            $candidate_data = get_userdata($row->candidate_id);
            if($candidate_data){
            $job_title = get_the_title($row->job_id);
            // Get user data for candidate
            $candidate_data = get_userdata($row->candidate_id);
            $candidate_name = $candidate_data ? esc_html($candidate_data->display_name) : 'N/A';
            $candidate_email = $candidate_data ? esc_html($candidate_data->user_email) : 'N/A';

            // Get user data for employer
            $employer_data = get_userdata($row->employer_id);
            $employer_name = $employer_data ? esc_html($employer_data->display_name) : 'N/A';

            echo '<tr>';
            echo '<td>' . esc_html($job_title) . '</td>';
            echo '<td>' . $candidate_name . '</td>';
            echo '<td>' . $candidate_email . '</td>';
            echo '<td>' . $employer_name . '</td>';
            echo '<td>' . esc_html($row->date) . '</td>';

            echo '<td>';
            echo '<button class="generate-invoice-button button button-primary" data-bs-toggle="modal" data-target="#invoiceModal" data-job-id="' . esc_attr($row->job_id) . '" data-candidate-id="' . esc_attr($row->candidate_id) . '" data-status="' . esc_attr($row->status) . '" data-row-id="' . esc_attr($row->rowid) . '" data-employer-id="' . esc_attr($row->employer_id) . '">Generate Invoice</button>';
            echo '</td>';
            echo '<td>' . esc_html($row->status) . '</td>';
            if ($row->status == 'yes' && file_exists(wp_upload_dir()['basedir'] . '/invoices/' . $row->file_path)) {
           

                echo '<td><a href="' . esc_url(get_site_url() . '/wp-content/uploads/invoices/' . $row->file_path) . '" class="download-pdf-button button button-primary" download>Download PDF</a></td>';
            } else {
                echo '<td></td>'; // Display an empty cell if status is not 'yes'
            }
         echo '</tr>';
        }
    }
        echo '</tbody>';
        echo '</table>';
      
        echo '</div>';
$total_items = $wpdb->get_var("SELECT COUNT(*) FROM $table_name");
        $total_pages = ceil($total_items / $items_per_page);

        echo '<div class="tablenav">';
        echo '<div class="tablenav-pages">';
        echo paginate_links(array(
            'base' => add_query_arg('paged', '%#%'),
            'format' => '',
            'prev_text' => __('Previous'),
            'next_text' => __('Next'),
            'total' => $total_pages,
            'current' => $current_page,
        ));
        echo '</div>';
        echo '</div>';
        // Rest of your code...
        echo '<div id="myModal-invoice" class="modal-invoice">';
        echo '<!-- Modal content -->';
        echo '<div class="modal-content-invoice">';
        echo '<span class="close">&times;</span>';
        echo '<h2>Generate PDF</h2>';
        echo '<form method="get" id="pdfForm">';
        echo '<label for="name">Enter Price:</label>';
        echo '<input type="text" name="price" id="price-invoice" placeholder="Enter Your price" required>';
        
        echo '<br>';
        echo '<label for="description-invoice">' . esc_html__('Description:', 'nokri') . '</label>';
        echo '<textarea name="description" id="description-invoice" placeholder="' . esc_html__('Enter Description', 'nokri') . '" required></textarea>';
        echo '<br>';
        echo '<input type="submit" name="generate_pdf" id="generate_pdf"  value="Generate PDF">';
        echo '</form>';
        echo '</div>';
        echo '</div>';
    } else {
        echo '<div class="wrap"><h2>No data found.</h2></div>';
    }
}

add_filter('body_class', 'nokri_halfhalf_body_class');
function nokri_halfhalf_body_class($classes) {
    global $nokri;

    if (isset($nokri['main_header_style']) && $nokri['main_header_style'] !== '') {
        $header_style = $nokri['main_header_style'];
        
        if ($header_style === '1') {
            if (is_author()) {
                // $user_id = get_current_user_id();
                $author_id = get_query_var('author');
                $user_type = get_user_meta($author_id, '_sb_reg_type', true);

                if ($user_type === '1') {

                    $classes[] = 'my-empl-style-col';
                }
            }
        }
    }
    
    return $classes;
}
function nokri_hidden_files() {
    
    /* Hidden Inputs */
    get_template_part('template-parts/hidden', 'inputs');
    /* Email verification and reset password */
    get_template_part('template-pparts/verification', 'logic');
    ?>
    <div id="toast-container" class="toast-top-right">
        <div class="toast toast-success" aria-live="polite" id="progress_loader">
            <div class="toast-title"><?php echo esc_html__('Uploading', 'nokri'); ?></div>
            <div class="toast-message" id="progress_counter"></div>
        </div>
    </div>
    <div id="popup-data"></div>
    <div id="app-data"></div>
    <div id="short-desc-data"></div>
    <div id="status_action_data"></div>
    <div id="job-alert-data"></div>
    <div id="edit_meeting_container_modal"></div>
    <div id="zoom_edit_meeting_container"></div>
    <div id="user_chat_modal_popup"></div>
    <div id="chartcontainer_stats"></div>
    <div id="candidate_report_job"></div>
    <?php
    /* Email job alerts */
    get_template_part('template-parts/job', 'alerts');
}
add_action('wp_footer', 'nokri_hidden_files');
    
// Employer Job Post

// Custom Post Type  Candidate Requeste
function create_candidate_request_post_type() {

    // Custom Post Type Labels
    $labels = array(
        'name'                  => _x( 'Candidate Requests', 'Post Type General Name', 'text_domain' ),
        'singular_name'         => _x( 'Candidate Request', 'Post Type Singular Name', 'text_domain' ),
        'menu_name'             => __( 'Candidate Requests', 'text_domain' ),
        'name_admin_bar'        => __( 'Candidate Request', 'text_domain' ),
        'archives'              => __( 'Item Archives', 'text_domain' ),
        'attributes'            => __( 'Item Attributes', 'text_domain' ),
        'parent_item_colon'     => __( 'Parent Item:', 'text_domain' ),
        'all_items'             => __( 'All Items', 'text_domain' ),
        'add_new_item'          => __( 'Add New Item', 'text_domain' ),
        'add_new'               => __( 'Add New', 'text_domain' ),
        'new_item'              => __( 'New Item', 'text_domain' ),
        'edit_item'             => __( 'Edit Item', 'text_domain' ),
        'update_item'           => __( 'Update Item', 'text_domain' ),
        'view_item'             => __( 'View Item', 'text_domain' ),
        'view_items'            => __( 'View Items', 'text_domain' ),
        'search_items'          => __( 'Search Item', 'text_domain' ),
        'not_found'             => __( 'Not found', 'text_domain' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'text_domain' ),
        'featured_image'        => __( 'Featured Image', 'text_domain' ),
        'set_featured_image'    => __( 'Set featured image', 'text_domain' ),
        'remove_featured_image' => __( 'Remove featured image', 'text_domain' ),
        'use_featured_image'    => __( 'Use as featured image', 'text_domain' ),
        'insert_into_item'      => __( 'Insert into item', 'text_domain' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'text_domain' ),
        'items_list'            => __( 'Items list', 'text_domain' ),
        'items_list_navigation' => __( 'Items list navigation', 'text_domain' ),
        'filter_items_list'     => __( 'Filter items list', 'text_domain' ),
    );
    
    // Custom Post Type Args
    $args = array(
        'label'                 => __( 'Candidate Request', 'text_domain' ),
        'description'           => __( 'Candidate Request Description', 'text_domain' ),
        'labels'                => $labels,
        'supports'              => array( 'title', 'editor', 'thumbnail', 'custom-fields' ),
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 5,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'post',
        'show_in_rest'          => true,
    );
    
    // Register Custom Post Type
    register_post_type( 'candidate_request', $args );
} 
add_action( 'init', 'create_candidate_request_post_type', 0 );

function create_candidate_request_taxonomy() {
    // Custom Taxonomy Labels
    $labels = array(
        'name'              => _x( 'Request Categories', 'taxonomy general name', 'text_domain' ),
        'singular_name'     => _x( 'Request Category', 'taxonomy singular name', 'text_domain' ),
        'search_items'      => __( 'Search Request Categories', 'text_domain' ),
        'all_items'         => __( 'All Request Categories', 'text_domain' ),
        'parent_item'       => __( 'Parent Request Category', 'text_domain' ),
        'parent_item_colon' => __( 'Parent Request Category:', 'text_domain' ),
        'edit_item'         => __( 'Edit Request Category', 'text_domain' ),
        'update_item'       => __( 'Update Request Category', 'text_domain' ),
        'add_new_item'      => __( 'Add New Request Category', 'text_domain' ),
        'new_item_name'     => __( 'New Request Category Name', 'text_domain' ),
        'menu_name'         => __( 'Request Category', 'text_domain' ),
    );
    
    // Custom Taxonomy Args
    $args = array(
        'hierarchical'      => true,  // Set to true for categories, false for tags
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'request-category' ),
    );
    
    // Register Custom Taxonomy
    register_taxonomy( 'request_category', array( 'candidate_request' ), $args );
}
add_action( 'init', 'create_candidate_request_taxonomy', 0 );

// CPT 
// Create Meta Boxes

function add_custom_meta_box() {
    add_meta_box(
        'candidate_request_meta',
        __( 'Candidate Request Details', 'nokri' ),
        'candidate_request_meta_callback',
        'candidate_request',
        'normal',
        'high'
    );
}
add_action( 'add_meta_boxes', 'add_custom_meta_box' );
function get_project_duration_options() {
    $options = [
        'select_project_duration' => 'Select Project Duration',
        '1_week' => '1 Week',
        '2_weeks' => '2 Weeks',
        '1_month' => '1 Month',
        '3_months' => '3 Months',
        '6_months' => '6 Months',
        '1_year' => '1 Year',
    ];

    return $options;
}

function get_min_hours_options() {
    $options = [
        'select_min_hours' => 'Select Min Hours',
        '1_hour' => '1 Hour',
        '2_hours' => '2 Hours',
        '4_hours' => '4 Hours',
        '8_hours' => '8 Hours',
    ];

    return $options;
}
function get_payment_basic_options() {
    $options = [
        'select_payment_basic' => 'Select Payment Basic',
        'hourly' => 'Hourly',
        'daily' => 'Daily',
        'weekly' => 'Weekly',
        'monthly' => 'Monthly',
    ];

    return $options;
}
function get_compensation_type_options() {
    $options = [
        '0' => 'Select Compensation Type',
        '1' => 'PKR',
        '2' => 'US Dollars',
        '3' => 'GBP',
        '4' => 'Euros',
        '5' => 'SAP',
        '6' => 'Pound',
        '7' => 'Yen',
    ];

    return $options;
}
function get_project_type_options() {
    $options = [
        '0' => 'Select Project Type',
        '1' => 'Onsite',
        '2' => 'Work from home',
        '3' => 'Hybrid',
    ];

    return $options;
}
// Define the skills options
function get_skills_options() {
    $options = [
        'select_skills' => 'Select Skills',
        'php' => 'PHP',
        'seo' => 'SEO',
        'marketing' => 'Marketing',
        'javascript' => 'JavaScript',
        'css' => 'CSS',
        'html' => 'HTML',
        // Add more skills as needed
    ];

    return $options;
}

function get_status_options() {
    $options = [
        'select_status' => 'Select Status',
        'pending' => 'Pending',
        'completed' => 'Completed',
        'rejected' => 'Rejected',
        
        // Add more skills as needed
    ];

    return $options;
}

// Add similar functions for other select fields

function candidate_request_meta_callback( $post ) {
    // Retrieve existing values from the database
    $project_name = get_post_meta( $post->ID, '_project_name', true );
    $project_description = get_post_meta( $post->ID, '_project_description', true );
    $job_skills = get_post_meta( $post->ID, '_job_skills', true );
    $project_duration = get_post_meta( $post->ID, '_project_duration', true );
    $min_hours = get_post_meta( $post->ID, '_min_hours', true );
    $payment_basis = get_post_meta( $post->ID, '_payment_basis', true );
    $compensation_type = get_post_meta( $post->ID, '_compensation_type', true );
    $compensation = get_post_meta( $post->ID, '_compensation', true );
    $compensation_details = get_post_meta( $post->ID, '_compensation_details', true );
    $project_type = get_post_meta( $post->ID, '_project_type', true );
    $job_file = get_post_meta( $post->ID, '_job_file', true );
    $email = get_post_meta( $post->ID, '_email', true );
    $phone = get_post_meta( $post->ID, '_phone', true );
    $status = get_post_meta($post->ID, '_job_status', true);	
    // Get dynamic options
    $skills_options=get_skills_options();
    $project_duration_options = get_project_duration_options();
    $min_hours_options = get_min_hours_options();
    $payment_basis_options = get_payment_basic_options();
    $compensation_type_options = get_compensation_type_options();
    $project_type_options = get_project_type_options();
    $status_options = get_status_options();
    ?>
    
    <form id="jobPostingForm" enctype="multipart/form-data">
        <!-- Project Name -->
    <div class="form-field">
        <label for="project_name"><?php _e( 'Project Name', 'textdomain' ); ?></label>
        <input type="text" name="project_name" id="project_name" value="<?php echo esc_attr( $project_name ); ?>" class="widefat" />
    </div>
     <!-- Project Description -->
    <div class="form-field">
        <label for="project_description"><?php _e( 'Project Description', 'textdomain' ); ?></label>
        <textarea name="project_description" id="project_description" rows="5" class="widefat"><?php echo esc_textarea( $project_description ); ?></textarea>
    </div>
    <!-- Job Skills -->
    <div class="form-field">
        <label for="skills"><?php _e( 'Skills', 'nokri' ); ?></label>
        <select name="skills" id="skills" class="widefat">
            <?php foreach ( $skills_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $job_skills, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <!-- Project Duration -->
    <div class="form-field">
        <label for="project_duration"><?php _e( 'Project Duration', 'nokri' ); ?></label>
        <select name="project_duration" id="project_duration" class="widefat">
            <?php foreach ( $project_duration_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $project_duration, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <!-- Minimum Hours Per Day -->
    <div class="form-field">
        <label for="min_hours"><?php _e( 'Minimum Hours Per Day', 'nokri' ); ?></label>
        <select name="min_hours" id="min_hours" class="widefat">
            <?php foreach ( $min_hours_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $min_hours, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <!-- Payment Basis -->
    <div class="form-field">
        <label for="payment_basis"><?php _e( 'Payment Basis', 'nokri' ); ?></label>
        <select name="payment_basis" id="payment_basis" class="widefat">
            <?php foreach ( $payment_basis_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $payment_basis, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
   <!-- Compensation Type Field -->
   <div class="form-field">
        <label for="compensation_type"><?php _e( 'Compensation Type', 'nokri' ); ?></label>
        <select name="compensation_type" id="compensation_type" class="widefat">
            <?php foreach ( $compensation_type_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $compensation_type, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>

    <!-- Compensation -->
    <div class="form-field">
        <label for="compensation"><?php _e( 'Compensation', 'nokri' ); ?></label>
        <input type="text" name="compensation" id="compensation" value="<?php echo esc_attr( $compensation ); ?>" class="widefat" />
    </div>
    <!-- Compensation Details -->
    <div class="form-field">
        <label for="compensation_details"><?php _e( 'Compensation Details', 'nokri' ); ?></label>
        <input type="text" name="compensation_details" id="compensation_details" value="<?php echo esc_attr( $compensation_details); ?>" class="widefat" />
    </div>
    <!-- Project Type Field -->
    <div class="form-field">
        <label for="project_type"><?php _e( 'Project Type', 'nokri' ); ?></label>
        <select name="project_type" id="project_type" class="widefat">
            <?php foreach ( $project_type_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $project_type, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <!-- Job File Upload -->
    <div class="form-field">
        <label for="jobFile"><?php _e( 'Job File URL', 'nokri' ); ?></label>
        <input type="file" class="form-control" id="job_file" name="job_file" accept=".pdf,.doc,.docx,.txt" value="<?php echo esc_attr( $job_file ); ?>" class="widefat" >
    </div>
    
    <!-- Email -->
    <div class="form-field">
        <label for="email"><?php _e( 'Email', 'nokri' ); ?></label>
        <input type="text" name="email" id="add_email" value="<?php echo esc_attr( $email ); ?>" class="widefat" />
    </div>

    <!-- Phone No. -->
   
    <div class="form-field">
        <label for="phone"><?php _e( 'Phone', 'nokri' ); ?></label>
        <input type="text" name="phone" id="phone" value="<?php echo esc_attr( $phone ); ?>" class="widefat" />
    </div>
     <!-- Status -->
     <div class="form-field">
        <label for="status"><?php _e( 'Status', 'nokri' ); ?></label>
        <select name="status" id="status" class="widefat">
            <?php foreach ( $status_options as $key => $value ) : ?>
                <option value="<?php echo esc_attr( $key ); ?>" <?php selected( $status, $key ); ?>>
                    <?php echo esc_html( $value ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    
</form>
<?php
    
}
function save_custom_meta_data($post_id) {
    // Check autosave
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;

    // Check permissions
    if (!current_user_can('edit_post', $post_id)) return;

    // Save Project Name
    if (isset($_POST['project_name'])) {
        update_post_meta($post_id, '_project_name', sanitize_text_field($_POST['project_name']));
    }

    // Save Project Description
    if (isset($_POST['project_description'])) {
        update_post_meta($post_id, '_project_description', sanitize_textarea_field($_POST['project_description']));
    }

    // Save Job Skills
    if (isset($_POST['job_skills']) && is_array($_POST['job_skills'])) {
        $job_skills = array_map('sanitize_text_field', $_POST['job_skills']);
        update_post_meta($post_id, '_job_skills', $job_skills);
    }
    
   
    // Save Project Duration
    if (isset($_POST['project_duration'])) {
        update_post_meta($post_id, '_project_duration', sanitize_text_field($_POST['project_duration']));
    }

    // Save Minimum Hours
    if (isset($_POST['min_hours'])) {
        update_post_meta($post_id, '_min_hours', sanitize_text_field($_POST['min_hours']));
    }

    // Save Payment Basis
    if (isset($_POST['payment_basis'])) {
        update_post_meta($post_id, '_payment_basis', sanitize_text_field($_POST['payment_basis']));
    }

    // Save Compensation Type
    if (isset($_POST['compensation_type'])) {
        update_post_meta($post_id, '_compensation_type', sanitize_text_field($_POST['compensation_type']));
    }

    // Save Compensation
    if (isset($_POST['compensation'])) {
        update_post_meta($post_id, '_compensation', sanitize_text_field($_POST['compensation']));
    }

    // Save Compensation Details
    if (isset($_POST['compensation_details'])) {
        update_post_meta($post_id, '_compensation_details', sanitize_text_field($_POST['compensation_details']));
    }

    // Save Project Type
    if (isset($_POST['project_type'])) {
        update_post_meta($post_id, '_project_type', sanitize_text_field($_POST['project_type']));
    }

    // Save Job File
    if (isset($_FILES['job_file']) && !empty($_FILES['job_file']['name'])) {
        $uploaded_file = wp_handle_upload($_FILES['job_file'], array('test_form' => false));
        if (!isset($uploaded_file['error'])) {
            update_post_meta($post_id, '_job_file', esc_url($uploaded_file['url']));
        }
    }

    // Save Email
    if (isset($_POST['email'])) {
        update_post_meta($post_id, '_email', sanitize_email($_POST['email']));
    }

    // Save Phone
    if (isset($_POST['phone'])) {
        update_post_meta($post_id, '_phone', sanitize_text_field($_POST['phone']));
    }
    // Save Status
    if (isset($_POST['status'])) {
        update_post_meta($post_id, '_job_status', sanitize_text_field($_POST['status']));
    }
}

add_action( 'save_post', 'save_custom_meta_data' );
//  Handle Ajax request
function handle_candidate_request_submission() {
    global $nokri; 
    $project_name = sanitize_text_field($_POST['project_name']);
    $project_description = sanitize_textarea_field($_POST['project_description']);
    $job_skills = sanitize_text_field($_POST['job_skills']);
    $project_duration = sanitize_text_field($_POST['project_duration']);
    $min_hours = sanitize_text_field($_POST['min_hours']);
    $payment_basis = sanitize_text_field($_POST['payment_basis']);
    $compensation_type = sanitize_text_field($_POST['compensation_type']);
    $compensation = sanitize_text_field($_POST['compensation']);
    $compensation_details = sanitize_text_field($_POST['compensation_details']);
    $project_type = sanitize_text_field($_POST['project_type']);
    $email = sanitize_email($_POST['email']);
    $phone = sanitize_text_field($_POST['phone']);

    $job_file_url = ''; 

      // Handle file upload
    if ( !empty($_FILES['job_file']['name']) ) {
        $upload = wp_handle_upload($_FILES['job_file'], array('test_form' => false));
        if ($upload && !isset($upload['error'])) {
            $job_file_url = esc_url_raw($upload['url']); 
        } else {
            wp_send_json_error(array('message' => 'File upload error: ' . $upload['error']));
        }
    }
    // Create new post of type 'candidate_request'
    $post_id = wp_insert_post(array(
        'post_type' => 'candidate_request',
        'post_status' => 'publish',
        'post_title' => $project_name,
        'post_content' => $project_description,
    ));

    if ($post_id) {
        // Save meta fields
        update_post_meta($post_id, '_project_name', $project_name);
        update_post_meta($post_id, '_project_description', $project_description);
        update_post_meta($post_id, '_job_skills', $job_skills);
        update_post_meta($post_id, '_project_duration', $project_duration);
        update_post_meta($post_id, '_min_hours', $min_hours);
        update_post_meta($post_id, '_payment_basis', $payment_basis);
        update_post_meta($post_id, '_compensation_type', $compensation_type);
        update_post_meta($post_id, '_compensation', $compensation);
        update_post_meta($post_id, '_compensation_details', $compensation_details);
        update_post_meta($post_id, '_project_type', $project_type);
        if (!empty($job_file_url)) {
            update_post_meta($post_id, '_job_file', $job_file_url);
        }
        update_post_meta($post_id, '_email', $email);
        update_post_meta($post_id, '_phone', $phone);

         // Fetch email template settings from Redux options
         $email_subject = isset($nokri['sb_msg_subject_on_new_job']) ? $nokri['sb_msg_subject_on_new_job'] : 'You have a new job - nokri';
         $email_from = isset($nokri['sb_msg_from']) ? $nokri['sb_msg_from'] : 'From: ' . get_bloginfo('name') . ' <' . get_option('admin_email') . '>';
         $email_message = isset($nokri['sb_msg_new']) ? $nokri['sb_msg_new'] : '<p>A new job has been posted.</p>';
 
        // Replace placeholders in the template
         $email_subject = str_replace('%site_name%', get_bloginfo('name'), $email_subject);
         $email_subject = str_replace('%job_title%', $project_name, $email_subject);
 
         $email_message = str_replace('%site_name%', get_bloginfo('name'), $email_message);
         $email_message = str_replace('%job_title%', $project_name, $email_message);
         $email_message = str_replace('%job_owner%', wp_get_current_user()->display_name, $email_message);
         $email_message = str_replace('%job_link%', get_permalink($post_id), $email_message);
         $email_message = str_replace('%project_description%', $project_description, $email_message);
        $email_message = str_replace('%job_skills%', $job_skills, $email_message);
        // $email_message = str_replace(' %job_file_link%', $job_file_url, $email_message);
       
        $email_message = str_replace('%email%', $email, $email_message);
            // Replace the placeholder for the job file link if it exists
            if ( !empty($job_file_url) ) {
                $email_message = str_replace('%job_file_link%', $job_file_url, $email_message);
            } else {
                // If no job file, you can either remove the placeholder or handle it differently
                $email_message = str_replace('%job_file_link%', 'No file available', $email_message);
            }
        
        // Prepare email headers
         $headers[] = 'From: ' . $email_from;
         $headers[] = 'Content-Type: text/html; charset=UTF-8';
 
         // Get the current logged-in user's email
         $current_user = wp_get_current_user();
         $to = $current_user->user_email;
 
         // Send the email
         wp_mail($to, $email_subject, $email_message, $headers);
 
         wp_send_json_success(array(
             'success' => true,
             'message' => 'Job posted successfully and email sent to the current user!',
         ));
     } else {
         wp_send_json_error(array('message' => 'Error saving form data.'));
     }
     wp_die();
 }

add_action('wp_ajax_submit_candidate_request', 'handle_candidate_request_submission');
add_action('wp_ajax_nopriv_submit_candidate_request', 'handle_candidate_request_submission');

//  AJAX request for deletion
function handle_candidate_request_delete() {
   $post_id = intval($_POST['post_id']);

    if (current_user_can('delete_post', $post_id)) {
        wp_delete_post($post_id, true);

        wp_send_json_success(array('message' => 'Post deleted successfully.'));
    } else {
        wp_send_json_error(array('message' => 'You do not have permission to delete this item.'));
    }

    wp_die(); 
}
add_action('wp_ajax_delete_candidate_request', 'handle_candidate_request_delete');


// Fetch candidate request data
add_action('wp_ajax_get_candidate_request', 'get_candidate_request');

function get_candidate_request() {
    $post_id = intval($_POST['post_id']);

    if (current_user_can('edit_post', $post_id)) {
        $meta = get_post_meta($post_id);
        $project_duration_key = $meta['_project_duration'][0] ?? '';
        $project_duration_options = get_project_duration_options();
        $project_duration_value = $project_duration_options[$project_duration_key] ?? '';
        // Min Hours
        $min_hours_key = $meta['_min_hours'][0] ?? '';
        $min_hours_options = get_min_hours_options();
        $min_hours_value= $min_hours_options[$min_hours_key] ?? '';
        //  Compensation Type
        $compensation_type_key = $meta['_compensation_type'][0] ?? '';
        $compensation_type_options = get_compensation_type_options();
        $compensation_type_value = $compensation_type_options[ $compensation_type_key] ?? '';
        // Project Type
        $project_type_key = $meta['_project_type'][0] ?? '';
        $project_type_options = get_project_type_options();
        $project_type_value = $project_type_options[ $project_type_key] ?? '';
        // payment basic
        $payment_basis_key = $meta['_payment_basis'][0] ?? '';
        $payment_basis_options =get_payment_basic_options();
        $payment_basis_value = $payment_basis_options[ $payment_basis_key] ?? '';

        $file_url = !empty($meta['_job_file'][0]) ? esc_url($meta['_job_file'][0]) : '';
        wp_send_json_success(array(
            'p_name' => $meta['_project_name'][0] ?? '',
            'p_description' => $meta['_project_description'][0] ?? '',
            'j_skills' => $meta['_job_skills'][0] ?? '',
            'p_duration' => $project_duration_value,
            'm_hours' => $min_hours_value,
            'pay_basis' => $payment_basis_value,
            'compensation_type' => $compensation_type_value,
            'compensation' => $meta['_compensation'][0] ?? '',
            'comp_details' => $meta['_compensation_details'][0] ?? '',
            'p_type' => $project_type_value,
            'email' => $meta['_email'][0] ?? '',
            'phone_no' => $meta['_phone'][0] ?? '',
            'upload_file' => $file_url, // Fetch the file URL
        ));
    } else {
        wp_send_json_error(array('message' => 'You do not have permission to edit this item.'));
    }
    wp_die();
}
// Update request
function update_candidate_request() {
    $post_id = intval($_POST['post_id']);
    if (current_user_can('edit_post', $post_id)) {
        // Update the post title and content
        $post_data = array(
            'ID' => $post_id,
            'post_title' => sanitize_text_field($_POST['p_name']),
            'post_content' => sanitize_textarea_field($_POST['p_description'])
        );

        wp_update_post($post_data);
        update_post_meta($post_id, '_project_name', sanitize_text_field($_POST['p_name']));
        update_post_meta($post_id, '_job_skills', sanitize_text_field($_POST['j_skills']));
        update_post_meta($post_id, '_project_description', sanitize_textarea_field($_POST['p_description']));
        update_post_meta($post_id, '_project_duration', array_search($_POST['p_duration'], get_project_duration_options()));
        update_post_meta($post_id, '_min_hours', array_search($_POST['m_hours'], get_min_hours_options()));
        update_post_meta($post_id, '_payment_basis', array_search($_POST['pay_basis'], get_payment_basic_options()));
        update_post_meta($post_id, '_compensation_type', array_search($_POST['comp_type'],get_compensation_type_options()));
        update_post_meta($post_id, '_compensation', sanitize_text_field($_POST['compensation']));
        update_post_meta($post_id, '_compensation_details', sanitize_text_field($_POST['comp_details']));
        update_post_meta($post_id, '_project_type', array_search($_POST['p_type'], get_project_type_options()));
        update_post_meta($post_id, '_email', sanitize_email($_POST['email']));
        update_post_meta($post_id, '_phone', sanitize_text_field($_POST['phone_no']));

            // Handle file uploads (if applicable)
            if (isset($_FILES['upload_file']) && !empty($_FILES['upload_file']['name'])) {
                $uploaded_file = wp_handle_upload($_FILES['upload_file'], array('test_form' => false));
                if (!isset($uploaded_file['error'])) {
                    update_post_meta($post_id, '_job_file', esc_url($uploaded_file['url']));
                }
            }
            wp_send_json_success(array('message' => 'Candidate Request has been  updated successfully.'));
    } else {
        wp_send_json_error(array('message' => 'You do not have permission to edit this item.'));
    }

    wp_die();
}
add_action('wp_ajax_update_candidate_request', 'update_candidate_request');
add_action('wp_ajax_nopriv_update_candidate_request', 'update_candidate_request');


