<?php
/* ------------------------------------------------ */
/* Job Post Request */
/* ------------------------------------------------ */

function job_request()
{
    vc_map(array(
        "name" => esc_html__("Job Request", 'nokri'),
        "base" => "job_request",
        "category" => esc_html__("Theme Shortcodes", 'nokri'),
        "params" => array(
            nokri_generate_type(esc_html__('Terms & Conditions', 'nokri'), 'vc_link', 'terms_link'),
            nokri_generate_type(esc_html__('Terms & Condition Title', 'nokri'), 'textfield', 'terms_title'),
            nokri_generate_type(esc_html__('Capcha Code', 'nokri'), 'dropdown', 'is_captcha', esc_html__("Captcha is for stop spamming", 'nokri'), "", array("Please select" => "", "With Capcha" => "with", "Without Capcha" => "without")),
        ),
    ));

    vc_map(array(
        "name" => esc_html__("Job Request", 'nokri'),
        "base" => "job_request",
        "category" => esc_html__("Theme Shortcodes", 'nokri'),
        "params" => array(
            array(
                'group' => esc_html__('Shortcode Output', 'nokri'),
                'type' => 'custom_markup',
                'heading' => esc_html__('Shortcode Output', 'nokri'),
                'param_name' => 'order_field_key',
                'description' => nokri_VCImage('nokri_sign_in.png') . esc_html__('Ouput of the shortcode will be look like this.', 'nokri'),
            ),
            array(
                "group" => esc_html__("Basic", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Main heading", 'nokri'),
                "param_name" => "basic_heading",
            ),
            array(
                "group" => esc_html__("Basic", "nokri"),
                "type" => "textarea",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Some Details", 'nokri'),
                "param_name" => "basic_details",
            ),
            array(
                "group" => esc_html__("Basic", "nokri"),
                "type" => "attach_image",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Image", 'nokri'),
                "param_name" => "basic_bg_img",
                "description" => esc_html__('263x394', 'nokri'),
            ),
            array(
                "group" => esc_html__("Basic", "nokri"),
                "type" => "dropdown",
                "heading" => esc_html__("Remember me", 'nokri'),
                "param_name" => "remember_me",
                "admin_label" => true,
                "value" => array(
                    esc_html__('Select option', 'nokri') => '',
                    esc_html__('Yes', 'nokri') => 'yes',
                    esc_html__('No', 'nokri') => 'no',
                ),
            ),
            array(
                "group" => esc_html__("Basic", "nokri"),
                "type" => "dropdown",
                "heading" => esc_html__("Show/hide Show password", 'nokri'),
                "param_name" => "show_password",
                "admin_label" => true,
                "value" => array(
                    esc_html__('Select option', 'nokri') => '',
                    esc_html__('Yes', 'nokri') => 'yes',
                    esc_html__('No', 'nokri') => 'no',
                ),
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Page heading", 'nokri'),
                "param_name" => "page_heading",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Email address", 'nokri'),
                "param_name" => "user_email",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Password Text", 'nokri'),
                "param_name" => "user_password",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Forgot Password Text", 'nokri'),
                "param_name" => "forgot_password",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Button Text", 'nokri'),
                "param_name" => "submit_button",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Already acount text", 'nokri'),
                "param_name" => "already_acount",
            ),
            array(
                "group" => esc_html__("Field Names", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Signup text", 'nokri'),
                "param_name" => "signup_text",
            ),
            /* Sidebar details */
            array(
                "group" => esc_html__("Sidebar", "nokri"),
                "type" => "dropdown",
                "heading" => esc_html__("Hide/show sidebar", 'nokri'),
                "param_name" => "is_show_side",
                "admin_label" => true,
                "value" => array(
                    esc_html__('Select Option', 'nokri') => '',
                    esc_html__('Yes', 'nokri') => 'yes',
                    esc_html__('No', 'nokri') => 'no',
                ),
            ),
            array(
                "group" => esc_html__("Social texts", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Heading", 'nokri'),
                "param_name" => "social_heading",
                "dependency" => array(
                    'element' => 'is_show_side',
                    'value' => array('yes'),
                ),
            ),
            array(
                "group" => esc_html__("Social texts", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Details", 'nokri'),
                "param_name" => "social_details",
                "dependency" => array(
                    'element' => 'is_show_side',
                    'value' => array('yes'),
                ),
            ),
            array(
                "group" => esc_html__("Social texts", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Facebook text", 'nokri'),
                "param_name" => "social_fb",
                "dependency" => array(
                    'element' => 'is_show_side',
                    'value' => array('yes'),
                ),
            ),
            array(
                "group" => esc_html__("Social texts", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Gmail text", 'nokri'),
                "param_name" => "social_gmail",
                "dependency" => array(
                    'element' => 'is_show_side',
                    'value' => array('yes'),
                ),
            ),
            array(
                "group" => esc_html__("Social texts", "nokri"),
                "type" => "textfield",
                "holder" => "div",
                "class" => "",
                "heading" => esc_html__("Linkedin text", 'nokri'),
                "param_name" => "social_linked",
                "dependency" => array(
                    'element' => 'is_show_side',
                    'value' => array('yes'),
                ),
            ),
        ),
    ));
}

add_action('vc_before_init', 'job_request');

function job_request_func($atts, $content = '')
{

    // $user_id = get_current_user_id();
    // $user_role = get_user_meta($user_id, '_sb_reg_type', true);
    global $nokri;

    extract(shortcode_atts(array(
        'order_field_key' => '',
        'basic_heading' => '',
        'basic_details' => '',
        'basic_bg_img' => '',
        'page_heading' => '',
        'user_email' => '',
        'submit_button' => '',
        'user_password' => '',
        'forgot_password' => '',
        'already_acount' => '',
        'is_show_side' => '',
        'social_heading' => '',
        'social_details' => '',
        'signup_text' => '',
        'social_fb' => '',
        'social_gmail' => '',
        'social_linked' => '',
        'remember_me' => '',
        'show_password' => '',
    ), $atts));


    if (!nokri_vc_job_request()) {
        if (!is_user_logged_in()) {
            echo nokri_redirect(home_url('/'));
        }
    }

    if ($nokri['emp_jb_req'] == true) {
        /* Main heading */
        $basic_heading = (isset($basic_heading) && $basic_heading != "") ? '<h1>' . $basic_heading . '</h1>' : "";
        /* Main details */
        $basic_details = (isset($basic_details) && $basic_details != "") ? '<p>' . $basic_details . '</p>' : "";
        /* Section heading */
        $page_heading = (isset($page_heading) && $page_heading != "") ? '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12"><div class="post-job-heading"><h3>' . $page_heading . '</h3></div></div>' : "";

        global $nokri;
        $authentication = new authentication();
        $code = time();

        /* Background Image */
        $bg_img = '';
        if ($basic_bg_img != "") {
            $bgImageURL = nokri_returnImgSrc($basic_bg_img);
            $bg_img = ($bgImageURL != "") ? ' \\s\\t\\y\\l\\e="background: rgba(0, 0, 0, 0.6) url(' . $bgImageURL . ') 0 0 no-repeat; -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover; background-position: center center; background-attachment:scroll;"' : "";
        }

        /* Sidebar */
        $side_bar = (isset($is_show_side) && $is_show_side != "") ? $is_show_side : true;
        $side_bar_html = '';
        $col_sizes = 'col-lg-6 col-md-6 col-sm-6 col-xs-12 col-md-offset-3 col-lg-offset-3';
        $col_sizes2 = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
        if ($side_bar == 'yes') {
            $col_sizes = 'col-lg-10 col-md-10 col-sm-12 col-xs-12 col-md-offset-1 col-lg-offset-1';
            $col_sizes2 = 'col-lg-7 col-md-7 col-sm-12 col-xs-12 ';
            $side_bar_html = '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12 nopadding">
                            <div class="n-page-right-side">
                             
				</div>			  
                           </div>';
        }
        return
            '<section class="n-pages-breadcrumb" ' . str_replace('\\', "", $bg_img) . '>
     <div class="container">
        <div class="row">
           <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 col-lg-offset-2 col-md-offset-2 col-sm-offset-2">
              <div class="n-breadcrumb-info">
                ' . ($basic_heading . $basic_details) .
            '
              </div>
           </div>
        </div>
     </div>
    </section>
    <section class="n-job-pages-section">
                <div class="container">
                    <div class="row">
                    <div class="' . esc_attr($col_sizes) . '">
                        <div class="row">
                            <div class="n-job-pages">
                                <div class="' . esc_attr($col_sizes2) . '">
                                <div class="row">
                                    <div class="n-page-left-side">
                                    <form id="jb_request_submit">
                                        <div class="modal-body">
                                            <div class="form-group">
                                            <label>' . __('Enter your Name', 'nokri') . '</label>
                                            <input type="name" data-parsley-required="true" data-parsley-error-message="' . esc_html__('Please enter name', 'nokri') . '" placeholder="' . esc_html__('Your Name', 'nokri') . '" name="jb_user" id="jb_user"  class="form-control">
                                            </div> 
                                            <div class="form-group">
                                            <label>' . __('Enter your email', 'nokri') . '</label>
                                            <input placeholder="' . esc_html__('Your Email', 'nokri') . '" class="form-control" type="email" data-parsley-required="true" data-parsley-error-message="' . esc_html__('Please enter Valid email.', 'nokri') . '" name="jb_email" id="jb_email">
                                            </div>                            
                                            <div class="form-group">
                                            <label>' . __('Enter Job Detail File', 'nokri') . '</label>
                                            <input type="file" data-parsley-required="true" data-parsley-error-message="' . esc_html__('Please Upload file', 'nokri') . '" class="" name="jb_file" id="jb_file">
                                            </div>
                                            <div class="form-group">
                                            <label>' . __('Description (Optional)', 'nokri') . '</label>
                                            <textarea rows="6" class="form-control"   name="jb_det"></textarea>
                                            </div>
                                        </div>
                                        <div class="modal-footer">                                     
                                                <button class="btn n-btn-flat" type="submit" id="jb_submit">' . __('Submit', 'nokri') . '</button>                                              
                                                <input type="hidden"  value="' . esc_url(get_the_permalink()) . '"  id="sign_in_page">
                                        </div>
                                        </form>
                                    </div>
                                </div>
                                </div>
                                
                                ' . $side_bar_html . '
                                
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
        </section>';
    } else {
        echo '<div class="alert alert-info alert-dismissible" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <strong>' . esc_html__("Information ! ", "nokri") . '</strong>' . esc_html__("Admin Not Allowed To Request a Job", "nokri") . '
                </div>';
    }
}

if (function_exists('nokri_add_code')) {
    nokri_add_code('job_request', 'job_request_func');
}

function nokri_vc_job_request()
{

    return function_exists('vc_is_inline') && vc_is_inline() ? true : false;
}
